
import type { QuestionInfo } from './types';

export const topicTypeList = [
  { label: '单选题', value: 1 },
  { label: '多选题', value: 2 },
  { label: '判断题', value: 3 },
  { label: '填空题', value: 4 },
  { label: '简答题', value: 5 },
];

export const topicType2List = [
  { label: '普通题', value: 100 },
  { label: '大题号', value: 101 },
  { label: '子题号', value: 102 },
];

export function defAnswerInfo(x: number) {
  return {
    x: x,
    y: 0,
    w: 100,
    h: 50,
  };
}

export function defQuestionInfo(no: string, type: number, y: number, pageWidth: number): QuestionInfo {
  return {
    no,
    type,
    x: 0,
    y: y,
    w: pageWidth,
    h: 100, // Default height
  };
}
